Show / Hide Table of Contents

# Struct ImGuiSizeCallbackDataPtr

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct ImGuiSizeCallbackDataPtr

### Constructors

| Improve this Doc View Source

#### ImGuiSizeCallbackDataPtr(ImGuiSizeCallbackData*)

##### Declaration

    public ImGuiSizeCallbackDataPtr(ImGuiSizeCallbackData*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiSizeCallbackData* | nativePtr |

| Improve this Doc View Source

#### ImGuiSizeCallbackDataPtr(IntPtr)

##### Declaration

    public ImGuiSizeCallbackDataPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

### Properties

| Improve this Doc View Source

#### CurrentSize

##### Declaration

    public readonly ref Vector2 CurrentSize { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### DesiredSize

##### Declaration

    public readonly ref Vector2 DesiredSize { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### NativePtr

##### Declaration

    public readonly ImGuiSizeCallbackData*NativePtr { get; }

##### Property Value

Type | Description
--- | ---
ImGuiSizeCallbackData* |

| Improve this Doc View Source

#### Pos

##### Declaration

    public readonly ref Vector2 Pos { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### UserData

##### Declaration

    public IntPtr UserData { get; set; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

### Operators

| Improve this Doc View Source

#### Implicit(ImGuiSizeCallbackData* to ImGuiSizeCallbackDataPtr)

##### Declaration

    public static implicit operator ImGuiSizeCallbackDataPtr(ImGuiSizeCallbackData*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiSizeCallbackData* | nativePtr |

##### Returns

Type | Description
--- | ---
ImGuiSizeCallbackDataPtr |

| Improve this Doc View Source

#### Implicit(ImGuiSizeCallbackDataPtr to ImGuiSizeCallbackData*)

##### Declaration

    public static implicit operator ImGuiSizeCallbackData*(ImGuiSizeCallbackDataPtr wrappedPtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiSizeCallbackDataPtr | wrappedPtr |

##### Returns

Type | Description
--- | ---
ImGuiSizeCallbackData* |

| Improve this Doc View Source

#### Implicit(IntPtr to ImGuiSizeCallbackDataPtr)

##### Declaration

    public static implicit operator ImGuiSizeCallbackDataPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

##### Returns

Type | Description
--- | ---
ImGuiSizeCallbackDataPtr |